/v1/identities (POST)
POST
/v1/identities
const url = 'https://api.reindeer.example.tr/v1/identities';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","scopes":["ingest:write"],"ip_allow":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.reindeer.example.tr/v1/identities \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "scopes": [ "ingest:write" ], "ip_allow": [ "example" ] }'Scope identities:write, person with fresh step-up. Creates an approval; the identity exists once another person approves.
Authorizations
Bölüm başlığı “Authorizations”Request Bodyrequired
Bölüm başlığı “Request Bodyrequired”Media typeapplication/json
object
name
required
string
scopes
required
Array<string>
ip_allow
Array<string>
Responses
Bölüm başlığı “Responses”Approval waiting for a second person
Media typeapplication/json
object
approval
object
id
string
kind
string
summary
string
requested_by
string
requested_at
string format: date-time
not_before
string format: date-time
expires_at
string format: date-time
state
string
controllers
Everyone who controlled the requester when the request was made: the issuers of its codes, the person who requested a machine, and their controllers in turn
Array<string>
cool_off_seconds
integer
decided_by
string
decided_at
string format: date-time
cancelled_by
string
cancelled_at
string format: date-time
result
object
Example
{ "approval": { "kind": "identity.create", "state": "pending" }}